function H = computeH(ps, qs)
%p = H*q

H = eye(3);

n = size(ps,1);

ps = [ps'; ones(1,n)];
qs = [qs'; ones(1,n)];

qMagDesired = 10000;
pScale = 1000;
for i = 1:n
    %ps(:,i) = ps(:,i)*pScale;
    %qMag = norm(qs(1:2,i));
    %qs(:,i) = qs(:,i)*qMagDesired/qMag;
end

A = zeros(2*n,9);
for i = 1 : n
    p = ps(:,i);
    q = qs(:,i);
    A(2*i - 1, 1:3) = -q';
    A(2*i - 1, 7:9) = p(1)*q';
    A(2*i, 4:6) = -q';
    A(2*i, 7:9) = p(2)*q';
end
[U,S,V] = svd(A);

h = V(:,9);
%h(7:9) = h(7:9)/pScale;
a = sqrt(1/norm(h));

H(1,:) = h(1:3)';
H(2,:) = h(4:6)';
H(3,:) = h(7:9)';

H = a*H;


