function H_NL = computeH_NL(ps, qs)

n = size(ps,1);

H_L = computeH(ps, qs);
h1_L = H_L(1,1:3);
h2_L = H_L(2,1:3);
h3_L = H_L(3,1:3);
h_L = [h1_L';h2_L';h3_L'];

h = zeros(9,1);
options = optimset('Display','iter');
[hmin Error] = fminsearch(@(h) J_nonlinear(ps,qs,h), h_L, options)

H_NL = [hmin(1:3)';hmin(4:6)';hmin(7:9)'];

